> For the complete documentation index, see [llms.txt](https://docs.n8n.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.n8n.io/connect/n8n-api/insights.md).

# Insights

Operations about insights

## Retrieve insights summary

> Retrieve the insights summary for the selected date range.

```json
{"openapi":"3.0.0","info":{"title":"n8n Public API","version":"1.1.1"},"tags":[{"name":"Insights","description":"Operations about insights"}],"servers":[{"url":"/api/v1"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-N8N-API-KEY"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"insights":{"type":"object","required":["total","failed","failureRate","timeSaved","averageRunTime"],"properties":{"total":{"type":"object","required":["value","deviation","unit"],"properties":{"value":{"type":"number"},"deviation":{"type":"number","nullable":true},"unit":{"type":"string","enum":["count"]}}},"failed":{"type":"object","required":["value","deviation","unit"],"properties":{"value":{"type":"number"},"deviation":{"type":"number","nullable":true},"unit":{"type":"string","enum":["count"]}}},"failureRate":{"type":"object","required":["value","deviation","unit"],"properties":{"value":{"type":"number"},"deviation":{"type":"number","nullable":true},"unit":{"type":"string","enum":["ratio"]}}},"timeSaved":{"type":"object","required":["value","deviation","unit"],"properties":{"value":{"type":"number"},"deviation":{"type":"number","nullable":true},"unit":{"type":"string","enum":["minute"]}}},"averageRunTime":{"type":"object","required":["value","deviation","unit"],"properties":{"value":{"type":"number"},"deviation":{"type":"number","nullable":true},"unit":{"type":"string","enum":["millisecond"]}}}}}},"responses":{"badRequest":{"description":"The request is invalid or provides malformed data."},"unauthorized":{"description":"Unauthorized"},"forbidden":{"description":"Forbidden"}}},"paths":{"/insights/summary":{"get":{"tags":["Insights"],"summary":"Retrieve insights summary","description":"Retrieve the insights summary for the selected date range.","parameters":[{"name":"startDate","in":"query","required":false,"description":"ISO 8601 start date. Defaults to 7 days ago.","schema":{"type":"string","format":"date-time"}},{"name":"endDate","in":"query","required":false,"description":"ISO 8601 end date. Defaults to now.","schema":{"type":"string","format":"date-time"}},{"name":"projectId","in":"query","required":false,"description":"Project identifier to filter insights by project.","schema":{"type":"string"}}],"responses":{"200":{"description":"Operation successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/insights"}}}},"400":{"$ref":"#/components/responses/badRequest"},"401":{"$ref":"#/components/responses/unauthorized"},"403":{"$ref":"#/components/responses/forbidden"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.n8n.io/connect/n8n-api/insights.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
